Subject: Re: compiling GCC3.0.1 under cygwin
From: Pavel Tsekov <[email-masked]>
To: Paul Brobst <[email-masked]>
Cc: [email-masked]
Date: Mon, 08 Oct 2001 10:05:59 +0200

Hey, Paul :)

http://www.cygwin.com/ml/cygwin/2001-10/msg00056.html

Paul Brobst wrote:
> 
> I've been trying to build GCC 3.0.1 under cygwin but have been running into
> some problems.  I ran the configure, which encountered no problems.  When I
> use 'make bootstrap' in the directory I ran the configure in I get an error
> pertaining to sys_errlist and a warning about sys_nerr.
> 
> Specifically it says:  gcc-3.0.1/libiberty/strerror.c:465: conflicting types
> for 'sys_errlist'  /use/include/sys/errno.h:23: previous declaration of
> 'sys_errlist'
> and
> gcc-3.0.1/libiberty/strerror.c:465: warning: static declaration for
> 'sys_nerr' follows non-static

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/